const elasticsearch = require('elasticsearch');

const bodybuilder = require('bodybuilder');
const Promise = require('bluebird');
const dict = require('./auth-type-map');

const elasticClient = new elasticsearch.Client({
    host: process.env.elasticSearchIp,
    apiVersion: '6.0'
});

// At the moment this function is not in use
const queryBuilder = key => bodybuilder()
    .rawOption("script", { source: `ctx._source.auth_type_text = '${dict[key]}'` })
    .query('term', 'auth_type', `${key}`)
    .query('range', 'date', { gte: 1517436000000, lt: 1519855200000 })
    .build();

module.exports.updateAuthText = async () => {
    Promise.map(Object.keys(dict), key => { elasticClient.updateByQuery({ index: `auth-${process.env.stage}-*`, type: 'auth0', body: queryBuilder(key) }); })
        .catch(err => console.log(err));
};
