import React, { Component } from 'react'

const confirmExit = (e) =>  {
    e.returnValue = "You have attempted to leave this page during the cloud assessment. Are you sure you want to cancel the Cloud Assessment?";
    return "You have attempted to leave this page during the cloud assessment. Are you sure you want to cancel the Cloud Assessment?";
};

export default class DontExit extends Component {
    componentDidMount() {
        window.addEventListener("beforeunload", confirmExit);
    }

    componentWillUnmount() {
        window.removeEventListener("beforeunload", confirmExit);
    }

    render () {
        return <div/>
    }
}