import React from 'react';
import styles from './CloudCentralSecondaryHeader.module.scss';
import classNames from "classnames";
import SmartBack from "../widgets/SmartBack";

export default ({title, smartBack, children}) => <header className={classNames(styles.base, "nav-adjusted-fixed-pane")}>
    <div className="header-container">
        {smartBack && <SmartBack/>}
        <h1>{title}</h1>
        {children}
    </div>
</header>;