const _ = require('lodash');
const AWS = require('aws-sdk');

const awsKey1 = 'AKIAIQ2YAHFCNAGT3ZKA';
const awsSecretKey1 = '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';
const region1 = 'us-west-2';


const stackNamePrefix = process.argv[2]; //will be name of the stack



function deleteStackAsync(accessKeyId, secretAccessKey, region) {
    const cftClient = new AWS.CloudFormation({
        accessKeyId,
        secretAccessKey,
        region
    });

    let params = {};
    return new Promise((resolve, reject) => {
        cftClient.listStacks(params, function(err, data) {
            if (err) {
                console.log(err, err.stack); // an error occurred
                reject();
            }
            else{
                //console.log(data);           // successful response
                let newArray = data.StackSummaries.filter(el => {
                    return el.StackName.startsWith(stackNamePrefix) && el.StackStatus != "DELETE_COMPLETE";
                });
                console.log("Found the following Stacks :" + JSON.stringify(newArray))
                newArray.map(st =>{
                    const params = {
                        StackName: st.StackName
                    };
                    cftClient.deleteStack(params, function(err, data) {
                        if (err) console.log(err, err.stack); // an error occurred
                        else     console.log("Stack was deleted: " + JSON.stringify(data));           // successful response
                    });
                });
            }
        });
    })
}

deleteStackAsync(awsKey1, awsSecretKey1, region1)
    .then(() => {
        console.log('done');
    });